Subject: bug#62985: [GNOME] MTP mounts in Nautilus doesn't work out of the box

From: Csepp <[email-masked]>
Date: Sat, 22 Apr 2023 01:34:13 +0200

Maxim Cournoyer <[email-masked]> writes:

> Hi,
>
> Connecting an Android phone via USB to a Guix System that has GNOME
> installed, and selecting the transfer mode to be USB/media, I'd expect
> it to appear in Nautilus, the same it does in other mainstream
> distributions.  Instead, nothing happens.
>
> In Fedora, for example, the device appears in the left panel of
> Nautilus, and a 'gvfsd-mtp' process starts running.  In Guix System,
> there's no 'gvfsd-mtp' process running, although a
> 'gvfs-mtp-volume-monitor' process is running.
>
> To be investigated.

I've also experienced this with plain USB block devices like some of my
microSD adapters.  No idea what causes it.  Sometimes it shows up in
Nautilus for a split second and then disappears.
Weirdly enough, running fdisk -l on the block device makes it show up in
Nautilus.

But it should be noted that our Nautilus version is behind by two versions.